#!/bin/sh


# Fonction pour échapper les caractères spéciaux
escape_value() {
    echo "$1" | sed 's/[\/&]/\\&/g'
}

replace_value() {
    key=$1
    value=$2
    file=$3
    escaped_value=$(escape_value "$value")
    find . -type f -exec sed -i "s|_${key}_|${value}|g" {} \;
}

# Lire les clés et valeurs depuis un fichier .env
if [ -f .env ]; then
    while IFS='=' read -r key value; do
        # Ignorer les lignes vides et les commentaires
        [ -z "$key" ] && continue
        [ "${key#\#}" != "$key" ] && continue

        replace_value $key $value /app/
    done < .env
fi

exec "$@"